Module javafx.controls
Package javafx.scene.control.skin

# Class ScrollPaneSkin

java.lang.Object
javafx.scene.control.SkinBase<ScrollPane>
javafx.scene.control.skin.ScrollPaneSkin

All Implemented Interfaces:
  `Skin<ScrollPane>`

    public class ScrollPaneSkin
    extends SkinBase<ScrollPane>

Default skin implementation for the `ScrollPane` control.

Since:
  9
See Also:
  `ScrollPane`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ScrollPaneSkin​(ScrollPane control)` | Creates a new ScrollPaneSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `ScrollBar` | `getHorizontalScrollBar()` | Returns the horizontal `ScrollBar` used in this ScrollPaneSkin instance.
  `ScrollBar` | `getVerticalScrollBar()` | Returns the vertical `ScrollBar` used in this ScrollPaneSkin instance.

  ### Methods declared in class javafx.scene.control.SkinBase

  `computeBaselineOffset, computeMaxHeight, computeMaxWidth, computeMinHeight, computeMinWidth, computePrefHeight, computePrefWidth, consumeMouseEvents, executeAccessibleAction, getChildren, getClassCssMetaData, getCssMetaData, layoutChildren, layoutInArea, layoutInArea, layoutInArea, positionInArea, positionInArea, pseudoClassStateChanged, queryAccessibleAttribute, registerChangeListener, registerInvalidationListener, registerListChangeListener, snappedBottomInset, snappedLeftInset, snappedRightInset, snappedTopInset, snapPosition, snapPositionX, snapPositionY, snapSize, snapSizeX, snapSizeY, snapSpace, snapSpaceX, snapSpaceY, unregisterChangeListeners, unregisterInvalidationListeners, unregisterListChangeListeners`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface javafx.scene.control.Skin

  `dispose, getNode, getSkinnable`

- ## Constructor Details

  - ### ScrollPaneSkin

    public ScrollPaneSkin​(ScrollPane control)
    Creates a new ScrollPaneSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.
    Parameters:
      `control` - The control that this skin should be installed onto.

- ## Method Details

  - ### getHorizontalScrollBar

    public final ScrollBar getHorizontalScrollBar()
    Returns the horizontal `ScrollBar` used in this ScrollPaneSkin instance.
    Returns:
      the horizontal ScrollBar used in this ScrollPaneSkin instance

  - ### getVerticalScrollBar

    public final ScrollBar getVerticalScrollBar()
    Returns the vertical `ScrollBar` used in this ScrollPaneSkin instance.
    Returns:
      the vertical ScrollBar used in this ScrollPaneSkin instance